#######################################不可动态配置，需要重启生效#######################################
server.port = 9089
server.servlet.context-path= /crm-print
server.servlet.encoding.charset = utf-8
#文件上传限制
spring.servlet.multipart.max-file-size=500MB
spring.servlet.multipart.max-request-size=500MB
## Freemarker 配置
spring.freemarker.template-loader-path = classpath:/web/
spring.freemarker.cache = false
spring.freemarker.charset = UTF-8
spring.freemarker.check-template-location = true
spring.freemarker.content-type = text/html
spring.freemarker.expose-request-attributes = true
spring.freemarker.expose-session-attributes = true
spring.freemarker.request-context-attribute = request
spring.freemarker.suffix = .ftl
spring.profiles.active=dev

# office-plugin
## office转换服务的进程数，默认开启两个进程
kkfile.office.plugin.server.ports = 2001,2002
## office 转换服务 task 超时时间，默认五分钟
kkfile.office.plugin.task.timeout = 5m

#缓存实现类型，不配默认为内嵌RocksDB(type = default)实现，可配置为redis(type = redis)实现（需要配置spring.redisson.address等参数）和 JDK 内置对象实现（type = jdk）,
kkfile.cache.type = jdk

#缓存是否自动清理 true 为开启，注释掉或其他值都为关闭
kkfile.cache.clean.enabled = true
#缓存自动清理时间，cache.clean.enabled = true时才有用，cron表达式，基于Quartz cron
kkfile.cache.clean.cron = 0 0 3 * * ?

#redis连接，只有当cache.type = redis时才有用
spring.redisson.address = 127.0.0.1:6379
spring.redisson.password =

#文件资源路径（默认为打包根路径下的file目录下）
#file.dir = D:\\kkFileview\\
kkfile.fileDir = /data/file
#openoffice home路径
#office.home = C:\\Program Files (x86)\\OpenOffice 4
kkfile.officeHome = default




#######################################可在运行时动态配置#######################################
#提供预览服务的地址，默认从请求url读，如果使用nginx等反向代理，需要手动设置
#base.url = https://file.keking.cn
kkfile.baseUrl = default

#信任站点，多个用','隔开，设置了之后，会限制只能预览来自信任站点列表的文件，默认不限制
#trust.host = file.keking.cn,kkfileview.keking.cn
kkfile.trust.host = default

#是否启用缓存
kkfile.cacheEnabled = true

#文本类型，默认如下，可自定义添加
kkfile.simText = txt,html,htm,asp,jsp,xml,json,properties,md,gitignore,log,java,py,c,cpp,sql,sh,bat,m,bas,prg,cmd
#多媒体类型，默认如下，可自定义添加
kkfile.media = mp3,wav,mp4,flv
#是否开启多媒体类型转视频格式转换,目前可转换视频格式有：avi,mov,wmv,3gp,rm
#请谨慎开启此功能，建议异步调用添加到处理队列，并且增加任务队列处理线程，防止视频转换占用完线程资源，转换比较耗费时间,并且控制了只能串行处理转换任务
kkfile.mediaConvertDisable = false
#支持转换的视频类型
kkfile.convertMedias = avi,mov,wmv,mkv,3gp,rm
#office类型文档(word ppt)样式，默认为图片(image)，可配置为pdf（预览时也有按钮切换）
kkfile.officePreviewType = pdf
#是否关闭office预览切换开关，默认为false，可配置为true关闭
kkfile.officePreviewSwitchDisabled= true

#是否禁止下载转换生成的pdf文件
kkfile.pdfDownloadDisable = true
#是否禁用首页文件上传
kkfile.fileUploadDisable = false

#预览源为FTP时 FTP用户名，可在ftp url后面加参数ftp.username=ftpuser指定，不指定默认用配置的
kkfile.ftpUsername = ftpuser
#预览源为FTP时 FTP密码，可在ftp url后面加参数ftp.password=123456指定，不指定默认用配置的
kkfile.ftpPassword= 1234561
#预览源为FTP时, FTP连接默认ControlEncoding(根据FTP服务器操作系统选择，Linux一般为UTF-8，Windows一般为GBK)，可在ftp url后面加参数ftp.control.encoding=UTF-8指定，不指定默认用配置的
kkfile.ftpControlEncoding = UTF-8

#水印内容
#例：watermark.txt = ${WATERMARK_TXT:凯京科技内部文件，严禁外泄}
#如需取消水印，内容设置为空即可，例：watermark.txt = ${WATERMARK_TXT:}
kkfile.watermarkTxt =
#水印x轴间隔
kkfile.watermarkXSpace = 10
#水印y轴间隔
kkfile.watermarkYSpace = 10
#水印字体
kkfile.watermarkFont = 微软雅黑
#水印字体大小
kkfile.watermarkFontsize = 18px
#水印字体颜色
kkfile.watermarkColor = black
#水印透明度，要求设置在大于等于0.005，小于1
kkfile.watermarkAlpha = 0.2
#水印宽度
kkfile.watermarkWidth = 180
#水印高度
kkfile.watermarkHeight = 80
#水印倾斜度数，要求设置在大于等于0，小于90
kkfile.watermarkAngle = 10

kkfile.previewUrl=http://127.0.0.1:9089/onlinePreview?url=%s


# health 健康检查
#management.endpoints.enabled-by-default=true
#management.endpoints.web.base-path=/actuator
#management.endpoints.web.exposure.include=health
#management.endpoint.health.how-details=always


